<?php

/**
 * Get node types options.
 * 
 * @return
 *   Associative array of options. 
 */
function node_field_node_types_options() {
  $options = array();
  
  // Populate node types options.
  $node_field_types = node_type_get_types();
  foreach ($node_field_types as $node_field_type) {
    $options[$node_field_type->type] = $node_field_type->name;
  }
  
  return $options;
}

/**
 * Get node field types options.
 * 
 * @return
 *   Associative array of options. 
 */
function node_field_node_field_types_options() {
  $options = array();
  
  // Populate node field types options.
  $node_field_types = node_field_types_info();
  foreach ($node_field_types as $node_field_type) {
    $options[$node_field_type['type']] = $node_field_type['label'];
  }
  
  return $options;
}

/**
 * Get node field widget form.
 * 
 * @param $type
 *   Requested node field type.
 * 
 * @return
 *   Form array.
 */
function node_field_node_field_widget_form($type) {
  $form = array();
  
  $node_field_types = node_field_types_info();
  
  $function = isset($node_field_types[$type]['widget']) ? $node_field_types[$type]['widget'] : FALSE;
  
  if ($function && is_callable($function)) {
    $form = $function();
  }
  
  return $form;
}
