<?php

/**
 * Node field types info. 
 */
function node_field_types_info() {
  $items = array();
  
  $items['text'] = array(
    'type' => 'text',
    'label' => t('Text'),
    'widget' => 'node_field_text_widget',
  );
  $items['text_long'] = array(
    'type' => 'text_long',
    'label' => t('Long text'),
    'widget' => 'node_field_text_long_widget',
  );
  if (module_exists('date_popup')) {
    $items['date'] = array(
      'type' => 'date',
      'label' => t('Date'),
      'widget' => 'node_field_date_widget',
    );
  }
  
  return $items;
}

/**
 * Widget for text field.
 * 
 * @return
 *   Form array.
 */
function node_field_text_widget() {
  $form = array(
    '#type' => 'textfield',
  );
  return $form;
}

/**
 * Widget for long text field.
 * 
 * @return
 *   Form array.
 */
function node_field_text_long_widget() {
  $form = array(
    '#type' => 'textarea',
  );
  return $form;
}

/**
 * Widget for image field.
 * 
 * @return
 *   Form array.
 */
function node_field_date_widget() {
  $form = array(
    '#type' => 'date_popup',
    '#date_format' => 'm/d/Y',
    '#date_year_range' => '-90:+10',
  );
  return $form;
}